package com.css.txw.gxzx.service.lsjy;

import com.baomidou.mybatisplus.extension.service.IService;
import com.css.ggzc.framework.cache.vo.DmbDTO;
import com.css.ggzc.framework.common.pojo.PageResult;
import com.css.txw.gxzx.pojo.domain.lsjy.GxzxLsjyZcxx;
import com.css.txw.gxzx.pojo.lsjy.BatchDeleteZcxxReqVO;
import com.css.txw.gxzx.pojo.lsjy.GxzxLsjyZcxxDto;
import com.css.txw.gxzx.pojo.lsjy.ZcsxjReqVO;
import com.css.txw.gxzx.pojo.lsjy.ZcxxcxRequestVO;
import com.css.txw.gxzx.pojo.vo.GxspReqVO;
import com.css.txw.gxzx.pojo.vo.ShqkxxVO;

import java.util.List;

public interface GxzxLsjyZcxxService extends IService<GxzxLsjyZcxx> {

    List<DmbDTO> queryZclxList();

    PageResult<GxzxLsjyZcxxDto>queryZcxxList(ZcxxcxRequestVO requestVO);

    GxzxLsjyZcxxDto queryZcxxxq(String zcid);

    String saveOrUpdate(GxzxLsjyZcxxDto dto);

    boolean batchDelete(BatchDeleteZcxxReqVO reqVO);

    PageResult<ShqkxxVO> queryDspZcxxList(ZcxxcxRequestVO requestVO);

    String zcSp(GxspReqVO reqVO);

    String zcsxj(ZcsxjReqVO reqVO);
}